org.apache.maven.archiver

## Class ManifestConfiguration

- java.lang.Object
- - org.apache.maven.archiver.ManifestConfiguration

-     public class ManifestConfiguration
      extends Object

  Capture common manifest configuration.
  Version:
    $Id: ManifestConfiguration.java 697981 2008-09-22 20:44:40Z jdcasey $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLASSPATH_LAYOUT_TYPE_CUSTOM`
    `static String` | `CLASSPATH_LAYOUT_TYPE_REPOSITORY`
    `static String` | `CLASSPATH_LAYOUT_TYPE_SIMPLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClasspathLayoutType()` Return the type of layout to use when formatting classpath entries.
    `String` | `getClasspathPrefix()`
    `String` | `getCustomClasspathLayout()` Retrieve the layout expression for use when the layout type set in `setClasspathLayoutType(String)` has the value 'custom'.
    `String` | `getMainClass()`
    `String` | `getPackageName()`
    `boolean` | `isAddClasspath()`
    `boolean` | `isAddDefaultImplementationEntries()`
    `boolean` | `isAddDefaultSpecificationEntries()`
    `boolean` | `isAddExtensions()`
    `boolean` | `isClasspathMavenRepositoryLayout()` Deprecated. Use `getClasspathLayoutType()`, and compare to CLASSPATH_LAYOUT_TYPE_SIMPLE or CLASSPATH_LAYOUT_TYPE_REPOSITORY, also declared in `ManifestConfiguration`.
    `boolean` | `isUseUniqueVersions()` Retrieve the flag for whether snapshot artifacts should be added to the classpath using the timestamp/buildnumber version (the default, when this flag is true), or using the generic -SNAPSHOT version (when the flag is false).
    `void` | `setAddClasspath(boolean addClasspath)`
    `void` | `setAddDefaultImplementationEntries(boolean addDefaultImplementationEntries)`
    `void` | `setAddDefaultSpecificationEntries(boolean addDefaultSpecificationEntries)`
    `void` | `setAddExtensions(boolean addExtensions)`
    `void` | `setClasspathLayoutType(String classpathLayoutType)` Set the type of layout to use when formatting classpath entries.
    `void` | `setClasspathMavenRepositoryLayout(boolean classpathMavenRepositoryLayout)` Deprecated. Use `setClasspathLayoutType(String)`, and use CLASSPATH_LAYOUT_TYPE_SIMPLE, CLASSPATH_LAYOUT_TYPE_CUSTOM, or CLASSPATH_LAYOUT_TYPE_REPOSITORY, also declared in `ManifestConfiguration`.
    `void` | `setClasspathPrefix(String classpathPrefix)`
    `void` | `setCustomClasspathLayout(String customClasspathLayout)` Set the layout expression for use when the layout type set in `setClasspathLayoutType(String)` has the value 'custom'.
    `void` | `setMainClass(String mainClass)`
    `void` | `setPackageName(String packageName)`
    `void` | `setUseUniqueVersions(boolean useUniqueVersions)` Set the flag for whether snapshot artifacts should be added to the classpath using the timestamp/buildnumber version (the default, when this flag is true), or using the generic -SNAPSHOT version (when the flag is false).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASSPATH_LAYOUT_TYPE_SIMPLE

          public static final String CLASSPATH_LAYOUT_TYPE_SIMPLE

      See Also:
        Constant Field Values

    - #### CLASSPATH_LAYOUT_TYPE_REPOSITORY

          public static final String CLASSPATH_LAYOUT_TYPE_REPOSITORY

      See Also:
        Constant Field Values

    - #### CLASSPATH_LAYOUT_TYPE_CUSTOM

          public static final String CLASSPATH_LAYOUT_TYPE_CUSTOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManifestConfiguration

          public ManifestConfiguration()

  - ### Method Detail

    - #### getMainClass

          public String getMainClass()

    - #### getPackageName

          public String getPackageName()

    - #### isAddClasspath

          public boolean isAddClasspath()

    - #### isAddDefaultImplementationEntries

          public boolean isAddDefaultImplementationEntries()

    - #### isAddDefaultSpecificationEntries

          public boolean isAddDefaultSpecificationEntries()

    - #### isAddExtensions

          public boolean isAddExtensions()

    - #### isClasspathMavenRepositoryLayout

          public boolean isClasspathMavenRepositoryLayout()

      Deprecated. Use `getClasspathLayoutType()`, and compare to CLASSPATH_LAYOUT_TYPE_SIMPLE or CLASSPATH_LAYOUT_TYPE_REPOSITORY, also declared in `ManifestConfiguration`.

    - #### setAddClasspath

          public void setAddClasspath(boolean addClasspath)

    - #### setAddDefaultImplementationEntries

          public void setAddDefaultImplementationEntries(boolean addDefaultImplementationEntries)

    - #### setAddDefaultSpecificationEntries

          public void setAddDefaultSpecificationEntries(boolean addDefaultSpecificationEntries)

    - #### setAddExtensions

          public void setAddExtensions(boolean addExtensions)

    - #### setClasspathMavenRepositoryLayout

          public void setClasspathMavenRepositoryLayout(boolean classpathMavenRepositoryLayout)

      Deprecated. Use `setClasspathLayoutType(String)`, and use CLASSPATH_LAYOUT_TYPE_SIMPLE, CLASSPATH_LAYOUT_TYPE_CUSTOM, or CLASSPATH_LAYOUT_TYPE_REPOSITORY, also declared in `ManifestConfiguration`.

    - #### setClasspathPrefix

          public void setClasspathPrefix(String classpathPrefix)

    - #### setMainClass

          public void setMainClass(String mainClass)

    - #### setPackageName

          public void setPackageName(String packageName)

    - #### getClasspathPrefix

          public String getClasspathPrefix()

    - #### getClasspathLayoutType

          public String getClasspathLayoutType()

      Return the type of layout to use when formatting classpath entries. Default is taken from the constant CLASSPATH_LAYOUT_TYPE_SIMPLE, declared in this class, which has a value of 'simple'. Other values are: 'repository' (CLASSPATH_LAYOUT_TYPE_REPOSITORY, or the same as a maven classpath layout), and 'custom' (CLASSPATH_LAYOUT_TYPE_CUSTOM).
      NOTE: If you specify a type of 'custom' you MUST set `setCustomClasspathLayout(String)`.

    - #### setClasspathLayoutType

          public void setClasspathLayoutType(String classpathLayoutType)

      Set the type of layout to use when formatting classpath entries. Should be one of: 'simple' (CLASSPATH_LAYOUT_TYPE_SIMPLE), 'repository' (CLASSPATH_LAYOUT_TYPE_REPOSITORY, or the same as a maven classpath layout), and 'custom' (CLASSPATH_LAYOUT_TYPE_CUSTOM). The constant names noted here are defined in the `ManifestConfiguration` class.
      NOTE: If you specify a type of 'custom' you MUST set `setCustomClasspathLayout(String)`.

    - #### getCustomClasspathLayout

          public String getCustomClasspathLayout()

      Retrieve the layout expression for use when the layout type set in `setClasspathLayoutType(String)` has the value 'custom'. The default value is null. Expressions will be evaluated against the following ordered list of classpath-related objects:
      1. The current `Artifact` instance, if one exists.
      2. The current `ArtifactHandler` instance from the artifact above.
      NOTE: If you specify a layout type of 'custom' you MUST set this layout expression.

    - #### setCustomClasspathLayout

          public void setCustomClasspathLayout(String customClasspathLayout)

      Set the layout expression for use when the layout type set in `setClasspathLayoutType(String)` has the value 'custom'. Expressions will be evaluated against the following ordered list of classpath-related objects:
      1. The current `Artifact` instance, if one exists.
      2. The current `ArtifactHandler` instance from the artifact above.
      NOTE: If you specify a layout type of 'custom' you MUST set this layout expression.

    - #### isUseUniqueVersions

          public boolean isUseUniqueVersions()

      Retrieve the flag for whether snapshot artifacts should be added to the classpath using the timestamp/buildnumber version (the default, when this flag is true), or using the generic -SNAPSHOT version (when the flag is false).
      NOTE: If the snapshot was installed locally, this flag will not have an effect on that artifact's inclusion, since it will have the same version either way (i.e. -SNAPSHOT naming).

    - #### setUseUniqueVersions

          public void setUseUniqueVersions(boolean useUniqueVersions)

      Set the flag for whether snapshot artifacts should be added to the classpath using the timestamp/buildnumber version (the default, when this flag is true), or using the generic -SNAPSHOT version (when the flag is false).
      NOTE: If the snapshot was installed locally, this flag will not have an effect on that artifact's inclusion, since it will have the same version either way (i.e. -SNAPSHOT naming).

Copyright © 2015. All rights reserved.